Page MenuHomePhabricator

SUL2: Fatal calling $skin->getPersonalToolsList
Closed, ResolvedPublic

Description

After logging into test2, I visit test.wikidata. Page loads fine, but httpfox shows that I'm getting a 500 error in the js check. Here's the fatal log:

2013-07-02 22:03:02 mw1213 testwikidatawiki: [e8ea9c42] /wiki/Special:CentralAutoLogin/setCookies?type=script Exception from line 1632 of /usr/local/apache/common-local/php-1.22wmf9/includes/Skin.php: Call to undefined method SkinMonoBook::getPersonalToolsList
#0 /usr/local/apache/common-local/php-1.22wmf9/extensions/CentralAuth/specials/SpecialCentralAutoLogin.php(263): Skin->__call('getPersonalTool...', Array)
#1 /usr/local/apache/common-local/php-1.22wmf9/extensions/CentralAuth/specials/SpecialCentralAutoLogin.php(263): SkinMonoBook->getPersonalToolsList()
#2 /usr/local/apache/common-local/php-1.22wmf9/includes/SpecialPage.php(631): SpecialCentralAutoLogin->execute('setCookies')
#3 /usr/local/apache/common-local/php-1.22wmf9/includes/SpecialPageFactory.php(487): SpecialPage->run('setCookies')
#4 /usr/local/apache/common-local/php-1.22wmf9/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#5 /usr/local/apache/common-local/php-1.22wmf9/includes/Wiki.php(565): MediaWiki->performRequest()
#6 /usr/local/apache/common-local/php-1.22wmf9/includes/Wiki.php(458): MediaWiki->main()
#7 /usr/local/apache/common-local/php-1.22wmf9/index.php(55): MediaWiki->run()
#8 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#9 {main}


Version: unspecified
Severity: normal

Details

Reference
bz50619

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:04 AM
bzimport set Reference to bz50619.
csteipp created this task.Jul 2 2013, 10:20 PM

Change 71800 had a related patch set uploaded by Anomie:
Add getPersonalToolsList to SkinTemplate

https://gerrit.wikimedia.org/r/71800

Anomie added a comment.Jul 3 2013, 2:04 PM

Bah. With all the rewriting of this patch going on, I forgot that https://gerrit.wikimedia.org/r/#/c/71800/ to core was needed for this.

Change 71800 merged by jenkins-bot:
Add getPersonalToolsList to SkinTemplate

https://gerrit.wikimedia.org/r/71800

Change 72537 had a related patch set uploaded by CSteipp:
Add getPersonalToolsList to SkinTemplate

https://gerrit.wikimedia.org/r/72537

Change 72537 merged by Anomie:
Add getPersonalToolsList to SkinTemplate

https://gerrit.wikimedia.org/r/72537

Merged a while ago